// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UInterface.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UInterface::SCW_UInterface(UInterface* InInterface) : SCW_UObject(InInterface), Interface(InInterface)
{

}

UInterface* SCW_UInterface::ToUInterface() const
{
	return Interface;
}

ISCW_UInterfacePtr SCW_UInterface::ToUInterfacePtr()
{
	return GetSharedThisAs<SCW_UInterface>();
}

ISCW_UInterfaceConstPtr SCW_UInterface::ToUInterfacePtr() const
{
	return GetSharedThisAs<SCW_UInterface>();
}